﻿Public Class Form1

    Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        Dim gridTable As DataTable = New DataTable
        gridTable.Columns.Add("id", GetType(Integer)).AutoIncrement = True
        gridTable.Columns.Add("DropDownColumn", GetType(Integer))
        gridTable.Columns.Add("DropDownColumnVal", GetType(Integer)).Expression = "DropDownColumn"

        Dim rnd As Random = New Random
        For index = 1 To 10
            gridTable.Rows.Add(Nothing, (rnd.Next(100) * index) Mod 17)
        Next


        Dim dropDownTable As DataTable = New DataTable
        dropDownTable.Columns.Add("id", GetType(Integer)).AutoIncrement = True
        dropDownTable.Columns.Add("Display Value", GetType(String))

        For index = 1 To 10
            dropDownTable.Rows.Add(Nothing, String.Format("Item {0}", index))
        Next

        UltraDropDown1.DataSource = dropDownTable
        UltraDropDown1.DisplayMember = "Display Value"
        UltraDropDown1.ValueMember = "id"

        UltraGrid1.DataSource = gridTable


    End Sub

    Private Sub UltraGrid1_InitializeLayout(sender As System.Object, e As Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs) Handles UltraGrid1.InitializeLayout
        e.Layout.Bands(0).Columns("DropDownColumn").ValueList = UltraDropDown1
        e.Layout.Bands(0).Columns("DropDownColumn").Editor.DataFilter = New MyDataFilter("Not Included {0}")

    End Sub
End Class
